Fix merge conflicts silently

OBS-URL: https://build.opensuse.org/package/show/Base:System/dracut?expand=0&rev=257
This commit is contained in:
Thomas Renninger 2016-04-14 13:36:44 +00:00 committed by Git OBS Bridge
parent bedbf92432
commit 68290a9ec9
9 changed files with 373 additions and 49 deletions

View File

@ -18,9 +18,9 @@ Signed-off-by: Thomas Blume <thomas.blume@suse.com>
Index: dracut-044/modules.d/95iscsi/iscsiroot.sh
===================================================================
--- dracut-044.orig/modules.d/95iscsi/iscsiroot.sh 2016-04-11 17:05:18.348326173 +0200
+++ dracut-044/modules.d/95iscsi/iscsiroot.sh 2016-04-11 17:38:05.939615885 +0200
@@ -43,8 +43,8 @@ fi
--- dracut-044.orig/modules.d/95iscsi/iscsiroot.sh 2015-11-25 14:22:28.000000000 +0100
+++ dracut-044/modules.d/95iscsi/iscsiroot.sh 2016-04-14 14:52:44.685325362 +0200
@@ -43,17 +43,13 @@ fi
handle_firmware()
{
@ -31,10 +31,10 @@ Index: dracut-044/modules.d/95iscsi/iscsiroot.sh
return 1
fi
@@ -52,8 +52,8 @@ handle_firmware()
iscsi_param="$iscsi_param --param $p"
done
- for p in $(getargs rd.iscsi.param -d iscsi_param); do
- iscsi_param="$iscsi_param --param $p"
- done
-
- if ! iscsistart -b $iscsi_param; then
- warn "'iscsistart -b $iscsi_param' failed with return code $?"
+ if ! iscsiadm -m fw -l; then
@ -42,7 +42,7 @@ Index: dracut-044/modules.d/95iscsi/iscsiroot.sh
fi
echo 'started' > "/tmp/iscsistarted-iscsi:"
@@ -77,7 +77,7 @@ handle_netroot()
@@ -77,7 +73,7 @@ handle_netroot()
# override conf settings by command line options
arg=$(getarg rd.iscsi.initiator -d iscsi_initiator=)
[ -n "$arg" ] && iscsi_initiator=$arg
@ -51,7 +51,16 @@ Index: dracut-044/modules.d/95iscsi/iscsiroot.sh
[ -n "$arg" ] && iscsi_target_name=$arg
arg=$(getarg rd.iscsi.target.ip -d iscsi_target_ip)
[ -n "$arg" ] && iscsi_target_ip=$arg
@@ -182,45 +182,37 @@ handle_netroot()
@@ -94,7 +90,7 @@ handle_netroot()
arg=$(getarg rd.iscsi.in.password -d iscsi_in_password=)
[ -n "$arg" ] && iscsi_in_password=$arg
for p in $(getargs rd.iscsi.param -d iscsi_param); do
- iscsi_param="$iscsi_param --param $p"
+ iscsi_param="$iscsi_param $p"
done
parse_iscsi_root "$1" || return 1
@@ -182,45 +178,37 @@ handle_netroot()
echo "iscsi_lun=$iscsi_lun . /bin/mount-lun.sh " > $hookdir/mount/01-$$-iscsi.sh
fi
@ -127,8 +136,8 @@ Index: dracut-044/modules.d/95iscsi/iscsiroot.sh
return 0
Index: dracut-044/modules.d/95iscsi/module-setup.sh
===================================================================
--- dracut-044.orig/modules.d/95iscsi/module-setup.sh 2016-04-11 17:05:18.352326398 +0200
+++ dracut-044/modules.d/95iscsi/module-setup.sh 2016-04-11 17:05:31.661078953 +0200
--- dracut-044.orig/modules.d/95iscsi/module-setup.sh 2015-11-25 14:22:28.000000000 +0100
+++ dracut-044/modules.d/95iscsi/module-setup.sh 2016-04-14 14:12:39.693392427 +0200
@@ -4,7 +4,7 @@
check() {
local _rootdev
@ -173,8 +182,8 @@ Index: dracut-044/modules.d/95iscsi/module-setup.sh
inst "$moddir/iscsiroot.sh" "/sbin/iscsiroot"
Index: dracut-044/modules.d/95iscsi/parse-iscsiroot.sh
===================================================================
--- dracut-044.orig/modules.d/95iscsi/parse-iscsiroot.sh 2016-04-11 17:05:31.665079179 +0200
+++ dracut-044/modules.d/95iscsi/parse-iscsiroot.sh 2016-04-11 17:40:48.076791382 +0200
--- dracut-044.orig/modules.d/95iscsi/parse-iscsiroot.sh 2015-11-25 14:22:28.000000000 +0100
+++ dracut-044/modules.d/95iscsi/parse-iscsiroot.sh 2016-04-14 14:12:39.693392427 +0200
@@ -77,7 +77,7 @@ if [ -n "$iscsiroot" ] ; then
fi

View File

@ -7,8 +7,8 @@ Signed-off-by: Thomas Blume <thomas.blume@suse.com>
Index: dracut-044/modules.d/95iscsi/module-setup.sh
===================================================================
--- dracut-044.orig/modules.d/95iscsi/module-setup.sh 2016-04-11 17:44:53.046657012 +0200
+++ dracut-044/modules.d/95iscsi/module-setup.sh 2016-04-11 17:44:53.090659503 +0200
--- dracut-044.orig/modules.d/95iscsi/module-setup.sh 2016-04-14 14:12:39.693392427 +0200
+++ dracut-044/modules.d/95iscsi/module-setup.sh 2016-04-14 14:53:00.630227712 +0200
@@ -104,7 +104,14 @@ install_iscsiroot() {
[ -z "$iscsi_address" ] && return
local_address=$(ip -o route get to $iscsi_address | sed -n 's/.*src \([0-9a-f.:]*\).*/\1/p')

View File

@ -13,8 +13,8 @@ Signed-off-by: Thomas Blume <thomas.blume@suse.com>
Index: dracut-044/modules.d/95iscsi/iscsiroot.sh
===================================================================
--- dracut-044.orig/modules.d/95iscsi/iscsiroot.sh 2016-04-11 18:03:25.433613430 +0200
+++ dracut-044/modules.d/95iscsi/iscsiroot.sh 2016-04-11 18:09:16.269467779 +0200
--- dracut-044.orig/modules.d/95iscsi/iscsiroot.sh 2016-04-14 14:52:44.685325362 +0200
+++ dracut-044/modules.d/95iscsi/iscsiroot.sh 2016-04-14 14:57:07.628188324 +0200
@@ -41,6 +41,14 @@ if [ -z "${DRACUT_SYSTEMD}" ] && [ -e /s
> /tmp/iscsiuio-started
fi
@ -30,21 +30,7 @@ Index: dracut-044/modules.d/95iscsi/iscsiroot.sh
handle_firmware()
{
if ! iscsiadm -m fw; then
@@ -48,11 +56,12 @@ handle_firmware()
return 1
fi
+ ### ToDo: Fix this for iscsiadm
for p in $(getargs rd.iscsi.param -d iscsi_param); do
iscsi_param="$iscsi_param --param $p"
done
- if ! iscsiadm -m fw -l; then
+ if ! iscsiadm -m fw -l ; then
warn "iscsiadm: Log-in to iscsi target failed"
fi
@@ -71,7 +80,7 @@ handle_netroot()
@@ -67,7 +75,7 @@ handle_netroot()
local iscsi_username iscsi_password
local iscsi_in_username iscsi_in_password
local iscsi_iface_name iscsi_netdev_name
@ -53,16 +39,7 @@ Index: dracut-044/modules.d/95iscsi/iscsiroot.sh
local p
# override conf settings by command line options
@@ -94,7 +103,7 @@ handle_netroot()
arg=$(getarg rd.iscsi.in.password -d iscsi_in_password=)
[ -n "$arg" ] && iscsi_in_password=$arg
for p in $(getargs rd.iscsi.param -d iscsi_param); do
- iscsi_param="$iscsi_param --param $p"
+ iscsi_param="$iscsi_param $p"
done
parse_iscsi_root "$1" || return 1
@@ -104,6 +113,15 @@ handle_netroot()
@@ -100,6 +108,15 @@ handle_netroot()
ip route get "$iscsi_target_ip" >/dev/null 2>&1 || return 0
fi
@ -78,7 +55,7 @@ Index: dracut-044/modules.d/95iscsi/iscsiroot.sh
# XXX is this needed?
getarg ro && iscsirw=ro
getarg rw && iscsirw=rw
@@ -206,7 +224,7 @@ handle_netroot()
@@ -202,7 +219,7 @@ handle_netroot()
[ -n "$iscsi_password" ] && $($COMMAND --name=node.session.auth.password --value=$iscsi_password)
[ -n "$iscsi_in_username" ] && $($COMMAND --name=node.session.auth.username_in --value=$iscsi_in_username)
[ -n "$iscsi_in_password" ] && $($COMMAND --name=node.session.auth.password_in --value=$iscsi_in_password)

View File

@ -0,0 +1,135 @@
From: Hannes Reinecke <hare@suse.de>
Date: Mon, 19 Oct 2015 14:02:19 +0200
Subject: 95iscsi: Do not require network for qla4xxx flash sessions
qla4xxx can store boot sessions in flash, which will then
not show up with iBFT. These boot sesssions will be maintained
by the driver; no specific network configuration is required
here. So suppress network setup for these cases.
References: bsc#935320
Signed-off-by: Hannes Reinecke <hare@suse.de>
---
modules.d/95iscsi/module-setup.sh | 18 +++++++++++++++---
1 file changed, 15 insertions(+), 3 deletions(-)
diff --git a/modules.d/95iscsi/module-setup.sh b/modules.d/95iscsi/module-setup.sh
index 53179d1..276d1ce 100755
--- a/modules.d/95iscsi/module-setup.sh
+++ b/modules.d/95iscsi/module-setup.sh
@@ -45,7 +45,7 @@ install_ibft() {
install_iscsiroot() {
local devpath=$1
- local scsi_path iscsi_lun session c d conn
+ local scsi_path iscsi_lun session c d conn host flash
local iscsi_session iscsi_address iscsi_port iscsi_targetname iscsi_tpgt
scsi_path=${devpath%%/block*}
@@ -56,6 +56,19 @@ install_iscsiroot() {
[ "$session" = "$devpath" ] && return 1
iscsi_session=${session##*/}
[ "$iscsi_session" = "$session" ] && return 1
+ host=${session%%/session*}
+ [ "$host" = "$session" ] && return 1
+ iscsi_host=${host##*/}
+
+ for flash in ${host}/flashnode_sess-* ; do
+ is_boot=$(cat $flash/is_boot_target)
+ if [ $is_boot -eq 1 ] ; then
+ # qla4xxx flashnode session; skip iBFT discovery
+ iscsi_initiator=$(cat /sys/class/iscsi_host/${iscsi_host}/initiatorname)
+ echo "rd.iscsi.initiator=${iscsi_initiator}"
+ return;
+ fi
+ done
for d in ${session}/* ; do
case $d in
@@ -110,6 +123,7 @@ install_iscsiroot() {
# can sort out rd.iscsi.initiator= duplicates
echo "rd.iscsi.initiator=${iscsi_initiator}"
echo "netroot=iscsi:${iscsi_address}::${iscsi_port}:${iscsi_lun}:${iscsi_targetname}"
+ echo "rd.neednet=1"
fi
return 0
}
@@ -244,8 +258,6 @@ install() {
[[ $_iscsiconf ]] && printf "%s\n" "$_iscsiconf" >> "${initdir}/etc/cmdline.d/95iscsi.conf"
fi
- echo 'rd.neednet=1' >> "${initdir}/etc/cmdline.d/95iscsi.conf"
-
inst_hook cmdline 90 "$moddir/parse-iscsiroot.sh"
inst_hook cleanup 90 "$moddir/cleanup-iscsi.sh"
inst "$moddir/iscsiroot.sh" "/sbin/iscsiroot"
--
1.8.4.5
From: Hannes Reinecke <hare@suse.de>
Date: Mon, 19 Oct 2015 14:02:19 +0200
Subject: 95iscsi: Do not require network for qla4xxx flash sessions
qla4xxx can store boot sessions in flash, which will then
not show up with iBFT. These boot sesssions will be maintained
by the driver; no specific network configuration is required
here. So suppress network setup for these cases.
References: bsc#935320
Signed-off-by: Hannes Reinecke <hare@suse.de>
---
modules.d/95iscsi/module-setup.sh | 18 +++++++++++++++---
1 file changed, 15 insertions(+), 3 deletions(-)
Index: dracut-044/modules.d/95iscsi/module-setup.sh
===================================================================
--- dracut-044.orig/modules.d/95iscsi/module-setup.sh 2016-04-11 18:03:25.493616825 +0200
+++ dracut-044/modules.d/95iscsi/module-setup.sh 2016-04-11 18:03:25.613623617 +0200
@@ -70,7 +70,7 @@ install_ibft() {
install_iscsiroot() {
local devpath=$1
- local scsi_path iscsi_lun session c d conn
+ local scsi_path iscsi_lun session c d conn host flash
local iscsi_session iscsi_address iscsi_port iscsi_targetname iscsi_tpgt
scsi_path=${devpath%%/block*}
@@ -81,6 +81,19 @@ install_iscsiroot() {
[ "$session" = "$devpath" ] && return 1
iscsi_session=${session##*/}
[ "$iscsi_session" = "$session" ] && return 1
+ host=${session%%/session*}
+ [ "$host" = "$session" ] && return 1
+ iscsi_host=${host##*/}
+
+ for flash in ${host}/flashnode_sess-* ; do
+ is_boot=$(cat $flash/is_boot_target)
+ if [ $is_boot -eq 1 ] ; then
+ # qla4xxx flashnode session; skip iBFT discovery
+ iscsi_initiator=$(cat /sys/class/iscsi_host/${iscsi_host}/initiatorname)
+ echo "rd.iscsi.initiator=${iscsi_initiator}"
+ return;
+ fi
+ done
for d in ${session}/* ; do
case $d in
@@ -135,6 +148,7 @@ install_iscsiroot() {
# can sort out rd.iscsi.initiator= duplicates
echo "rd.iscsi.initiator=${iscsi_initiator}"
echo "netroot=iscsi:${iscsi_address}::${iscsi_port}:${iscsi_lun}:${iscsi_targetname}"
+ echo "rd.neednet=1"
fi
return 0
}
@@ -241,8 +255,6 @@ install() {
[[ $_iscsiconf ]] && printf "%s\n" "$_iscsiconf" >> "${initdir}/etc/cmdline.d/95iscsi.conf"
fi
- echo 'rd.neednet=1' >> "${initdir}/etc/cmdline.d/95iscsi.conf"
-
inst_hook cmdline 90 "$moddir/parse-iscsiroot.sh"
inst_hook cleanup 90 "$moddir/cleanup-iscsi.sh"
inst "$moddir/iscsiroot.sh" "/sbin/iscsiroot"

View File

@ -0,0 +1,168 @@
From: Hannes Reinecke <hare@suse.de>
Date: Tue, 20 Oct 2015 07:59:43 +0200
Subject: 95iscsi: set 'rd.iscsi.firmware' for qla4xxx sessions
The qla4xxx driver can run with or without open-iscsi support,
depending on the setting of the 'ql4xdisablesysfsboot' module
parameter.
When the parameter is set to '0', dracut needs to call
'iscsiadm -m fw' to trigger iSCSI login, so we need to set
the 'rd.iscsi.firmware' dracut variable. But this will then
fail if the parameter is set to '1', as in these cases the
list of firmware targets is empty.
To cover both scenarios this patch reshuffles 'handle_firmware'
in iscsiroot.sh to continue if iscsiadm -m fw fails but iscsi
sessions are present.
References: bsc#951003
Signed-off-by: Hannes Reinecke <hare@suse.de>
---
modules.d/95iscsi/iscsiroot.sh | 23 ++++++++++++++---------
modules.d/95iscsi/module-setup.sh | 1 +
2 files changed, 15 insertions(+), 9 deletions(-)
diff --git a/modules.d/95iscsi/iscsiroot.sh b/modules.d/95iscsi/iscsiroot.sh
index 38aff41..1e6ab41 100755
--- a/modules.d/95iscsi/iscsiroot.sh
+++ b/modules.d/95iscsi/iscsiroot.sh
@@ -54,17 +54,24 @@ set_login_retries() {
handle_firmware()
{
if ! [ -e /tmp/iscsistarted-firmware ]; then
+ # Depending on the 'ql4xdisablesysfsboot' qla4xxx
+ # will be autostarting sessions without presenting
+ # them via the firmware interface.
+ # In these cases 'iscsiadm -m fw' will fail, but
+ # the iSCSI sessions will still be present.
if ! iscsiadm -m fw; then
warn "iscsiadm: Could not get list of targets from firmware."
- return 1
- fi
+ else
- for p in $(getargs rd.iscsi.param -d iscsi_param); do
- iscsi_param="$iscsi_param --param $p"
- done
+ for p in $(getargs rd.iscsi.param -d iscsi_param); do
+ iscsi_param="$iscsi_param --param $p"
+ done
- if ! iscsiadm -m fw -l; then
- warn "iscsiadm: Log-in to iscsi target failed"
+ if ! iscsiadm -m fw -l; then
+ warn "iscsiadm: Log-in to iscsi target failed"
+ else
+ need_shutdown
+ fi
fi
if [ -d /sys/class/iscsi_session ]; then
@@ -73,8 +80,6 @@ handle_firmware()
else
return 1
fi
-
- need_shutdown
fi
return 0
}
diff --git a/modules.d/95iscsi/module-setup.sh b/modules.d/95iscsi/module-setup.sh
index 276d1ce..e29f342 100755
--- a/modules.d/95iscsi/module-setup.sh
+++ b/modules.d/95iscsi/module-setup.sh
@@ -66,6 +66,7 @@ install_iscsiroot() {
# qla4xxx flashnode session; skip iBFT discovery
iscsi_initiator=$(cat /sys/class/iscsi_host/${iscsi_host}/initiatorname)
echo "rd.iscsi.initiator=${iscsi_initiator}"
+ echo "rd.iscsi.firmware=1"
return;
fi
done
--
1.8.4.5
From: Hannes Reinecke <hare@suse.de>
Date: Tue, 20 Oct 2015 07:59:43 +0200
Subject: 95iscsi: set 'rd.iscsi.firmware' for qla4xxx sessions
The qla4xxx driver can run with or without open-iscsi support,
depending on the setting of the 'ql4xdisablesysfsboot' module
parameter.
When the parameter is set to '0', dracut needs to call
'iscsiadm -m fw' to trigger iSCSI login, so we need to set
the 'rd.iscsi.firmware' dracut variable. But this will then
fail if the parameter is set to '1', as in these cases the
list of firmware targets is empty.
To cover both scenarios this patch reshuffles 'handle_firmware'
in iscsiroot.sh to continue if iscsiadm -m fw fails but iscsi
sessions are present.
References: bsc#951003
Signed-off-by: Hannes Reinecke <hare@suse.de>
---
modules.d/95iscsi/iscsiroot.sh | 23 ++++++++++++++---------
modules.d/95iscsi/module-setup.sh | 1 +
2 files changed, 15 insertions(+), 9 deletions(-)
diff --git a/modules.d/95iscsi/iscsiroot.sh b/modules.d/95iscsi/iscsiroot.sh
index 38aff41..1e6ab41 100755
--- a/modules.d/95iscsi/iscsiroot.sh
+++ b/modules.d/95iscsi/iscsiroot.sh
@@ -54,17 +54,24 @@ set_login_retries() {
handle_firmware()
{
if ! [ -e /tmp/iscsistarted-firmware ]; then
+ # Depending on the 'ql4xdisablesysfsboot' qla4xxx
+ # will be autostarting sessions without presenting
+ # them via the firmware interface.
+ # In these cases 'iscsiadm -m fw' will fail, but
+ # the iSCSI sessions will still be present.
if ! iscsiadm -m fw; then
warn "iscsiadm: Could not get list of targets from firmware."
- return 1
- fi
+ else
- for p in $(getargs rd.iscsi.param -d iscsi_param); do
- iscsi_param="$iscsi_param --param $p"
- done
+ for p in $(getargs rd.iscsi.param -d iscsi_param); do
+ iscsi_param="$iscsi_param --param $p"
+ done
- if ! iscsiadm -m fw -l; then
- warn "iscsiadm: Log-in to iscsi target failed"
+ if ! iscsiadm -m fw -l; then
+ warn "iscsiadm: Log-in to iscsi target failed"
+ else
+ need_shutdown
+ fi
fi
if [ -d /sys/class/iscsi_session ]; then
@@ -73,8 +80,6 @@ handle_firmware()
else
return 1
fi
-
- need_shutdown
fi
return 0
}
diff --git a/modules.d/95iscsi/module-setup.sh b/modules.d/95iscsi/module-setup.sh
index 276d1ce..e29f342 100755
--- a/modules.d/95iscsi/module-setup.sh
+++ b/modules.d/95iscsi/module-setup.sh
@@ -66,6 +66,7 @@ install_iscsiroot() {
# qla4xxx flashnode session; skip iBFT discovery
iscsi_initiator=$(cat /sys/class/iscsi_host/${iscsi_host}/initiatorname)
echo "rd.iscsi.initiator=${iscsi_initiator}"
+ echo "rd.iscsi.firmware=1"
return;
fi
done
--
1.8.4.5

View File

@ -0,0 +1,32 @@
Index: dracut-037/modules.d/95iscsi/iscsiroot.sh
===================================================================
--- dracut-037.orig/modules.d/95iscsi/iscsiroot.sh
+++ dracut-037/modules.d/95iscsi/iscsiroot.sh
@@ -54,6 +54,8 @@ set_login_retries() {
handle_firmware()
{
if ! [ -e /tmp/iscsistarted-firmware ]; then
+ local ifaces retry
+
# Depending on the 'ql4xdisablesysfsboot' qla4xxx
# will be autostarting sessions without presenting
# them via the firmware interface.
@@ -62,10 +64,15 @@ handle_firmware()
if ! iscsiadm -m fw; then
warn "iscsiadm: Could not get list of targets from firmware."
else
+ ifaces=( $(echo /sys/firmware/ibft/ethernet*) )
+ [ -f /tmp/session-retry ] || echo 1 > /tmp/session-retry
+ retry=$(cat /tmp/session-retry)
- for p in $(getargs rd.iscsi.param -d iscsi_param); do
- iscsi_param="$iscsi_param --param $p"
- done
+ if [ $retry -lt ${#ifaces[*]} ]; then
+ let retry++
+ echo $retry > /tmp/session-retry
+ return 1
+ fi
if ! iscsiadm -m fw -l; then
warn "iscsiadm: Log-in to iscsi target failed"

View File

@ -12,9 +12,9 @@ Signed-off-by: Fabian Vogt <fvogt@suse.com>
Index: dracut-044/dracut-init.sh
===================================================================
--- dracut-044.orig/dracut-init.sh
+++ dracut-044/dracut-init.sh
@@ -1122,6 +1122,11 @@ instmods() {
--- dracut-044.orig/dracut-init.sh 2016-04-14 14:12:39.421377052 +0200
+++ dracut-044/dracut-init.sh 2016-04-14 14:58:46.285764636 +0200
@@ -1129,6 +1129,11 @@ instmods() {
return 0
fi

View File

@ -10,8 +10,10 @@ Add:
* 0191-static_network_setup_return_zero.patch
* 0192-iscsi_set_boot_protocol_from_ifcfg.patch
* 0193-95iscsi-Set-number-of-login-retries.patch
* 0194-95iscsi-Do-not-require-network-for-qla4xxx-flash-ses.patch
* 0195-95iscsi-set-rd.iscsi.firmware-for-qla4xxx-sessions.patch
* 0196-ibft-wait-for-session-on-all-paths.patch
* 0403-95lunmask-Add-module-to-handle-LUN-masking.patch
-------------------------------------------------------------------
Wed Mar 30 22:27:06 UTC 2016 - dmueller@suse.com

View File

@ -116,7 +116,7 @@ Patch193: 0193-95iscsi-Set-number-of-login-retries.patch
# ToDo for author (hare/tsaupe): Fix up and adjust to mainline code
#Patch194: 0194-95iscsi-Do-not-require-network-for-qla4xxx-flash-ses.patch
#Patch195: 0195-95iscsi-set-rd.iscsi.firmware-for-qla4xxx-sessions.patch
#Patch196: 0196-ibft-wait-for-session-on-all-paths.patch
Patch196: 0196-ibft-wait-for-session-on-all-paths.patch
# Submit mainline asap
Patch128: 0128-90lvm-Install-dm-snapshot-module.patch
@ -282,7 +282,7 @@ chmod a+x modules.d/91zipl/install_zipl_cmdline.sh
%patch193 -p1
#%patch194 -p1
#%patch195 -p1
#%patch196 -p1
%patch196 -p1
%patch200 -p1
%patch201 -p1
@ -400,6 +400,7 @@ ln -s %{dracutlibdir}/modules.d/45ifcfg/write-ifcfg-redhat.sh %{buildroot}/%{dra
%{dracutlibdir}/modules.d/02fips-aesni
%files tools
%defattr(-,root,root,0755)
%{_bindir}/dracut-catimages
%{_mandir}/man8/dracut-catimages.8*
%dir /boot/dracut